// Code generated by MockGen. DO NOT EDIT.
// Source: controller/imageAccessToken.go

// Package mock_controller is a generated GoMock package.
package mock_controller

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
)

// MockTokenManager is a mock of TokenManager interface.
type MockTokenManager struct {
	ctrl     *gomock.Controller
	recorder *MockTokenManagerMockRecorder
}

// MockTokenManagerMockRecorder is the mock recorder for MockTokenManager.
type MockTokenManagerMockRecorder struct {
	mock *MockTokenManager
}

// NewMockTokenManager creates a new mock instance.
func NewMockTokenManager(ctrl *gomock.Controller) *MockTokenManager {
	mock := &MockTokenManager{ctrl: ctrl}
	mock.recorder = &MockTokenManagerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockTokenManager) EXPECT() *MockTokenManagerMockRecorder {
	return m.recorder
}

// GenerateTokenForAlbum mocks base method.
func (m *MockTokenManager) GenerateTokenForAlbum(album string) (string, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GenerateTokenForAlbum", album)
	ret0, _ := ret[0].(string)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GenerateTokenForAlbum indicates an expected call of GenerateTokenForAlbum.
func (mr *MockTokenManagerMockRecorder) GenerateTokenForAlbum(album interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GenerateTokenForAlbum", reflect.TypeOf((*MockTokenManager)(nil).GenerateTokenForAlbum), album)
}

// IsTokenValidForAlbum mocks base method.
func (m *MockTokenManager) IsTokenValidForAlbum(token, album string) bool {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "IsTokenValidForAlbum", token, album)
	ret0, _ := ret[0].(bool)
	return ret0
}

// IsTokenValidForAlbum indicates an expected call of IsTokenValidForAlbum.
func (mr *MockTokenManagerMockRecorder) IsTokenValidForAlbum(token, album interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "IsTokenValidForAlbum", reflect.TypeOf((*MockTokenManager)(nil).IsTokenValidForAlbum), token, album)
}
